# Generated by go2rpm
%bcond_without check
%bcond_with bootstrap

# https://github.com/prometheus/common
%global goipath         github.com/prometheus/common
Version:                0.4.0

%gometa

%global goipaths0       github.com/prometheus/common
%global goipathsex0     github.com/prometheus/common/promlog github.com/prometheus/common/config github.com/prometheus/common/version

%if %{without bootstrap}
%global goipaths1       github.com/prometheus/common/promlog github.com/prometheus/common/config github.com/prometheus/common/version
%endif

%global common_description %{expand:
This repository contains Go libraries that are shared across Prometheus
components and libraries.

 - config: Common configuration structures
 - expfmt: Decoding and encoding for the exposition format
 - log: A logging wrapper around logrus
 - model: Shared data structures
 - route: A routing wrapper around httprouter using context.Context
 - version: Version information and metrics}

%global golicenses      LICENSE NOTICE
%global godocs          CONTRIBUTING.md MAINTAINERS.md README.md

%global gosupfiles      glide.lock glide.yaml

Name:           %{goname}
Release:        1%{?dist}
Summary:        Go libraries shared across prometheus components and libraries

# Upstream license specification: Apache-2.0
License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}
Source1:        glide.yaml
Source2:        glide.lock
# Fix bitbucket.org/ww/goautoneg import path
Patch0:         change-import-path.patch

BuildRequires:  golang(bitbucket.org/ww/goautoneg)
%if %{without bootstrap}
BuildRequires:  golang(github.com/go-kit/kit/log)
BuildRequires:  golang(github.com/go-kit/kit/log/level)
%endif
BuildRequires:  golang(github.com/golang/protobuf/proto)
BuildRequires:  golang(github.com/julienschmidt/httprouter)
BuildRequires:  golang(github.com/matttproud/golang_protobuf_extensions/pbutil)
%if %{without bootstrap}
BuildRequires:  golang(github.com/mwitkow/go-conntrack)
%endif
BuildRequires:  golang(github.com/pkg/errors)
%if %{without bootstrap}
BuildRequires:  golang(github.com/prometheus/client_golang/prometheus)
%endif
BuildRequires:  golang(github.com/prometheus/client_model/go)
BuildRequires:  golang(github.com/sirupsen/logrus)
BuildRequires:  golang(gopkg.in/alecthomas/kingpin.v2)
BuildRequires:  golang(gopkg.in/yaml.v2)

%description
%{common_description}

%gopkg

%prep
%goprep
%patch0 -p1
cp %{S:1} %{S:2} .

%install
%gopkginstall

%if %{with check}
%check
%if %{with bootstrap}
%gocheck -t config
%else
%gocheck
%endif
%endif

%gopkgfiles

%changelog
* Wed May 08 22:11:46 CEST 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.4.0-1
- Release 0.4.0

* Thu Apr 11 14:04:15 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 0.3.0-1
- Release 0.3.0 (#1668775)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.18.git38c53a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Tue Oct 23 2018 Nicolas Mailhot <nim@fedoraproject.org> - 0-0.17.git38c53a9
- redhat-rpm-config-123 triggers bugs in gosetup, remove it from Go spec files as it’s just an alias
- https://lists.fedoraproject.org/archives/list/devel@lists.fedoraproject.org/message/RWD5YATAYAFWKIDZBB7EB6N5DAO4ZKFM/

* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.16.git38c53a9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Tue Jul 10 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.15.git38c53a9
- Temporarily remove the promlog due to missing github.com/go-kit/kit dependency
  resolves: #1599386

* Wed Jun 27 2018 Paul Gier <pgier@redhat.com> - 0-0.14.git38c53a9
- Update to newer snapshot version
- Enable checks for config and log dirs

* Tue Jun 26 2018 Jan Chaloupka <jchaloup@redhat.com> - 0-0.13.git49fee29
- Upload glide files

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.12.git49fee29
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Fri Sep 22 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.11.git49fee29
- add missing dependency
  related: #1315096

* Fri Sep 22 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.10.git49fee29
- Bump to upstream 49fee292b27bfff7f354ee0f64e1bc4850462edf
  related: #1315096

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.9.git195bde7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.8.git195bde7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Wed Mar 15 2017 Jan Chaloupka <jchaloup@redhat.com> - 0-0.7.git195bde7
- Bump to upstream 195bde7883f7c39ea62b0d92ab7359b5327065cb
  related: #1315096

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.6.git4fdc91a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Thu Jul 21 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.5.git4fdc91a
- https://fedoraproject.org/wiki/Changes/golang1.7

* Sun Mar 06 2016 jchaloup <jchaloup@redhat.com> - 0-0.4.git4fdc91a
- Bump to upstream 4fdc91a58c9d3696b982e8a680f4997403132d44
  resolves: #1315096

* Mon Feb 22 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0-0.3.gitffe929a
- https://fedoraproject.org/wiki/Changes/golang1.6

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0-0.2.gitffe929a
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Oct 16 2015 jchaloup <jchaloup@redhat.com> - 0-0.1.gitffe929a
- First package for Fedora
  resolves: #1272465
